# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "cool.io"
  s.version = "1.2.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tony Arcieri", "Masahiro Nakagawa"]
  s.date = "2014-05-12"
  s.description = "Cool.io provides a high performance event framework for Ruby which uses the libev C library"
  s.email = ["tony.arcieri@gmail.com", "repeatedly@gmail.com"]
  s.extensions = ["ext/cool.io/extconf.rb", "ext/http11_client/extconf.rb", "ext/iobuffer/extconf.rb"]
  s.files = [".gitignore", ".rspec", ".travis.yml", "CHANGES.md", "Gemfile", "LICENSE", "README.md", "Rakefile", "cool.io.gemspec", "examples/dslified_echo_client.rb", "examples/dslified_echo_server.rb", "examples/echo_client.rb", "examples/echo_server.rb", "examples/google.rb", "examples/httpclient.rb", "ext/cool.io/.gitignore", "ext/cool.io/cool.io.h", "ext/cool.io/cool.io_ext.c", "ext/cool.io/ev_wrap.h", "ext/cool.io/extconf.rb", "ext/cool.io/iowatcher.c", "ext/cool.io/libev.c", "ext/cool.io/loop.c", "ext/cool.io/stat_watcher.c", "ext/cool.io/timer_watcher.c", "ext/cool.io/utils.c", "ext/cool.io/watcher.c", "ext/cool.io/watcher.h", "ext/http11_client/.gitignore", "ext/http11_client/LICENSE", "ext/http11_client/ext_help.h", "ext/http11_client/extconf.rb", "ext/http11_client/http11_client.c", "ext/http11_client/http11_parser.c", "ext/http11_client/http11_parser.h", "ext/http11_client/http11_parser.rl", "ext/iobuffer/extconf.rb", "ext/iobuffer/iobuffer.c", "ext/libev/Changes", "ext/libev/LICENSE", "ext/libev/README", "ext/libev/README.embed", "ext/libev/ev.c", "ext/libev/ev.h", "ext/libev/ev_epoll.c", "ext/libev/ev_kqueue.c", "ext/libev/ev_poll.c", "ext/libev/ev_port.c", "ext/libev/ev_select.c", "ext/libev/ev_vars.h", "ext/libev/ev_win32.c", "ext/libev/ev_wrap.h", "ext/libev/ruby_gil.patch", "ext/libev/test_libev_win32.c", "lib/.gitignore", "lib/cool.io.rb", "lib/cool.io/async_watcher.rb", "lib/cool.io/custom_require.rb", "lib/cool.io/dns_resolver.rb", "lib/cool.io/dsl.rb", "lib/cool.io/eventmachine.rb", "lib/cool.io/http_client.rb", "lib/cool.io/io.rb", "lib/cool.io/iowatcher.rb", "lib/cool.io/listener.rb", "lib/cool.io/loop.rb", "lib/cool.io/meta.rb", "lib/cool.io/server.rb", "lib/cool.io/socket.rb", "lib/cool.io/timer_watcher.rb", "lib/cool.io/version.rb", "lib/coolio.rb", "spec/async_watcher_spec.rb", "spec/dns_spec.rb", "spec/spec_helper.rb", "spec/stat_watcher_spec.rb", "spec/tcp_server_spec.rb", "spec/tcp_socket_spec.rb", "spec/timer_watcher_spec.rb", "spec/unix_listener_spec.rb", "spec/unix_server_spec.rb"]
  s.homepage = "http://coolio.github.com"
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14"
  s.summary = "A cool framework for doing high performance I/O in Ruby"
  s.test_files = ["spec/async_watcher_spec.rb", "spec/dns_spec.rb", "spec/spec_helper.rb", "spec/stat_watcher_spec.rb", "spec/tcp_server_spec.rb", "spec/tcp_socket_spec.rb", "spec/timer_watcher_spec.rb", "spec/unix_listener_spec.rb", "spec/unix_server_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake-compiler>, ["~> 0.8.3"])
      s.add_development_dependency(%q<rspec>, [">= 2.13.0"])
      s.add_development_dependency(%q<rdoc>, [">= 3.6.0"])
    else
      s.add_dependency(%q<rake-compiler>, ["~> 0.8.3"])
      s.add_dependency(%q<rspec>, [">= 2.13.0"])
      s.add_dependency(%q<rdoc>, [">= 3.6.0"])
    end
  else
    s.add_dependency(%q<rake-compiler>, ["~> 0.8.3"])
    s.add_dependency(%q<rspec>, [">= 2.13.0"])
    s.add_dependency(%q<rdoc>, [">= 3.6.0"])
  end
end

